## Class Structures_Graph_Manipulator_AcyclicTest

Description

The Structures_Graph_Manipulator_AcyclicTest is a graph manipulator which tests whether a graph contains a cycle.

The definition of an acyclic graph used in this manipulator is that of a DAG. The graph must be directed, or else it is considered cyclic, even when there are no arcs.

- copyright: (c) 2004 by Sérgio Carvalho
- author: Sérgio Carvalho <mailto:sergio.carvalho@portugalmail.com>

Located in /Structures/Graph/Manipulator/AcyclicTest.php (line 55)

Method Summary
boolean isAcyclic (mixed &$graph)
Methods
isAcyclic (line 126)

isAcyclic returns true if a graph contains no cycles, false otherwise.

- return: true iff graph is acyclic
- access: public

boolean isAcyclic (mixed &$graph)

Documentation generated on Fri, 30 Jan 2004 16:37:28 +0000 by phpDocumentor 1.2.3